Main Page Class Hierarchy Alphabetical List Compound List File List Compound Members File Members Related Pages

# vtkDataSetToUnstructuredGridFilter Class Reference

`#include <vtkDataSetToUnstructuredGridFilter.h>`

Inheritance diagram for vtkDataSetToUnstructuredGridFilter:

[legend]
Collaboration diagram for vtkDataSetToUnstructuredGridFilter:

[legend]
List of all members.

## Detailed Description

abstract filter class

Date:
  2002/10/04 20:43:43

Revision:
  1.41

vtkDataSetToUnstructuredGridFilter is an abstract filter class whose subclasses take as input any dataset and generate an unstructured grid on output.

See also:
  vtkAppendFilter vtkConnectivityFilter vtkExtractGeometry vtkShrinkFilter vtkThreshold

Created by:
  - Schroeder, Will

CVS contributions (if > 5%):
  - Schroeder, Will (51%)
  - Martin, Ken (22%)
  - Cedilnik, Andy (11%)
  - Lorensen, Bill (10%)

CVS logs (CVSweb):
  - .`cxx` (`/Filtering/vtkDataSetToUnstructuredGridFilter.cxx)`
  - .`h` (`/Filtering/vtkDataSetToUnstructuredGridFilter.h)`

Definition at line 51 of file vtkDataSetToUnstructuredGridFilter.h.

## Public Types
typedef vtkUnstructuredGridSource | Superclass
## Public Methods
virtual const char * | GetClassName ()
virtual int | IsA (const char *type)
void | PrintSelf (ostream &os, vtkIndent indent)
virtual void | SetInput (vtkDataSet *input)
vtkDataSet * | GetInput ()
## Static Public Methods
int | IsTypeOf (const char *type)
vtkDataSetToUnstructuredGridFilter * | SafeDownCast (vtkObject *o)
## Protected Methods
| vtkDataSetToUnstructuredGridFilter ()
| ~vtkDataSetToUnstructuredGridFilter ()

## Member Typedef Documentation

typedef vtkUnstructuredGridSource vtkDataSetToUnstructuredGridFilter::Superclass

| Reimplemented from vtkUnstructuredGridSource. Reimplemented in vtkAppendFilter, vtkClipDataSet, vtkConnectivityFilter, vtkDataSetTriangleFilter, vtkExtractGeometry, vtkReflectionFilter, vtkShrinkFilter, and vtkThreshold. Definition at line 54 of file vtkDataSetToUnstructuredGridFilter.h.

## Constructor & Destructor Documentation

vtkDataSetToUnstructuredGridFilter::vtkDataSetToUnstructuredGridFilter | ( |  | ) | `[inline, protected]`

| Definition at line 64 of file vtkDataSetToUnstructuredGridFilter.h.

vtkDataSetToUnstructuredGridFilter::~vtkDataSetToUnstructuredGridFilter | ( |  | ) | `[inline, protected]`

| Definition at line 65 of file vtkDataSetToUnstructuredGridFilter.h.

## Member Function Documentation

virtual const char* vtkDataSetToUnstructuredGridFilter::GetClassName | ( |  | ) | `[virtual]`

| Reimplemented from vtkUnstructuredGridSource. Reimplemented in vtkAppendFilter, vtkClipDataSet, vtkConnectivityFilter, vtkDataSetTriangleFilter, vtkExtractGeometry, vtkReflectionFilter, vtkShrinkFilter, and vtkThreshold.

int vtkDataSetToUnstructuredGridFilter::IsTypeOf | ( | const char * | type | ) | `[static]`

| Return 1 if this class type is the same type of (or a subclass of) the named class. Returns 0 otherwise. This method works in combination with vtkTypeRevisionMacro found in vtkSetGet.h. Reimplemented from vtkUnstructuredGridSource. Reimplemented in vtkAppendFilter, vtkClipDataSet, vtkConnectivityFilter, vtkDataSetTriangleFilter, vtkExtractGeometry, vtkReflectionFilter, vtkShrinkFilter, and vtkThreshold.

virtual int vtkDataSetToUnstructuredGridFilter::IsA | ( | const char * | type | ) | `[virtual]`

| Return 1 if this class is the same type of (or a subclass of) the named class. Returns 0 otherwise. This method works in combination with vtkTypeRevisionMacro found in vtkSetGet.h. Reimplemented from vtkUnstructuredGridSource. Reimplemented in vtkAppendFilter, vtkClipDataSet, vtkConnectivityFilter, vtkDataSetTriangleFilter, vtkExtractGeometry, vtkReflectionFilter, vtkShrinkFilter, and vtkThreshold.

vtkDataSetToUnstructuredGridFilter* vtkDataSetToUnstructuredGridFilter::SafeDownCast | ( | vtkObject * | o | ) | `[static]`

| Reimplemented from vtkUnstructuredGridSource. Reimplemented in vtkAppendFilter, vtkClipDataSet, vtkConnectivityFilter, vtkDataSetTriangleFilter, vtkExtractGeometry, vtkReflectionFilter, vtkShrinkFilter, and vtkThreshold.

void vtkDataSetToUnstructuredGridFilter::PrintSelf | ( | ostream & | os,
|  | vtkIndent | indent
| ) | `[virtual]`

| Methods invoked by print to print information about the object including superclasses. Typically not called by the user (use Print() instead) but used in the hierarchical print process to combine the output of several classes. Reimplemented from vtkUnstructuredGridSource. Reimplemented in vtkAppendFilter, vtkClipDataSet, vtkConnectivityFilter, vtkDataSetTriangleFilter, vtkExtractGeometry, vtkReflectionFilter, vtkShrinkFilter, and vtkThreshold.

virtual void vtkDataSetToUnstructuredGridFilter::SetInput | ( | vtkDataSet * | input | ) | `[virtual]`

| Set / get the input data or filter.

vtkDataSet* vtkDataSetToUnstructuredGridFilter::GetInput | ( |  | ) |

| Set / get the input data or filter. Reimplemented in vtkAppendFilter. Referenced by vtkAppendFilter::GetInput().

The documentation for this class was generated from the following file:

- Filtering/vtkDataSetToUnstructuredGridFilter.h